epp_XMLException (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.epp_XMLException class

### org.openrtk.idl.epp0402

# Class epp_XMLException

- `org.omg.CORBA.UserException`
- - `org.openrtk.idl.epp0402.epp_XMLException`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_XMLException`
`extends org.omg.CORBA.UserException`
`implements org.omg.CORBA.portable.IDLEntity`

Exception class that indicates an error occurs when rendering or parsing an XML String. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/epp_XMLException.java,v 1.1 2003/03/21 16:35:40 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:40 $

  ## Field Summary
  `String` | `m_error_message` The error message.

  ## Constructor Summary
  `epp_XMLException()` Empty constructor
  `epp_XMLException(String _m_error_message)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getErrorMessage()` Accessor method for the error message
  `void` | `setErrorMessage(String value)` Accessor method for the error message
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_error_message

    public String m_error_message

> The error message.
> See Also:
>   `setErrorMessage(String)`, `getErrorMessage()`

## Constructor Details

### epp_XMLException

    public epp_XMLException()

> Empty constructor

### epp_XMLException

    public epp_XMLException(String _m_error_message)

> The constructor with initializing variables.
> Parameters:
>   `_m_error_message` - The error message

## Method Details

### getErrorMessage

    public String getErrorMessage()

> Accessor method for the error message
> Returns:
>   The error message
> See Also:
>   `m_error_message`

### setErrorMessage

    public void setErrorMessage(String value)

> Accessor method for the error message
> Parameters:
>   `value` - The error message
> See Also:
>   `m_error_message`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS